import ch.qos.logback.classic.encoder.PatternLayoutEncoder
import ch.qos.logback.core.ConsoleAppender

import com.fitbank.util.SwingUtils

import static ch.qos.logback.classic.Level.DEBUG
import static ch.qos.logback.classic.Level.INFO

appender("STDOUT", ConsoleAppender) {
    encoder(PatternLayoutEncoder) {
        pattern = "[%thread] %highlight(%-5level) %cyan(%logger{15}) - %msg %n"
    }
}
appender("SWING", SwingUtils.SwingAppender)

root(INFO, [ "STDOUT", "SWING" ])
